{-----------------------------------------------------------------------------
 Unit Name: DelphiMethodWizardForm
 Author:     pat connors
 Purpose: Dialog to collect information for making a new Delphi Mehtod within
             the ATG file.
-----------------------------------------------------------------------------}


unit DelphiMethodWizardForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TfrmDelphiMethodWizard = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    edProto: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    comboSection: TComboBox;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ExecNewDelphiMethodWizard(var ProtoStr, Section: string): boolean;

var
  frmDelphiMethodWizard: TfrmDelphiMethodWizard;

implementation

{$R *.dfm}


function ExecNewDelphiMethodWizard(var ProtoStr, Section: string): boolean;
begin
  with TfrmDelphiMethodWizard.Create(Application) do
    try
      Result := (ShowModal = mrOk);
      ProtoStr := edProto.Text;
      case comboSection.ItemIndex of
        0: Section := 'Private';
        1: Section := 'Protected';
        2: Section := 'Public';
      end;//Case

    finally
      Free;
    end;
end;

end.
